EDIT - task #9205

Remove apache-log4j-extras from TaxEditor dependencies
08/24/2020 12:16 PM - Andreas Mdller

Status: Closed Start date:

Priority: Priority14 Due date:

Assignee: Andreas Muller % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.32

Severity: normal

Description

It is currently required in taxeditor.cdmlib because log4j.xml uses org.apache.log4j.filter.ExpressionFilter which stemms from

apache-log4j-extras.

However, there should be other possibilities to define filters in Log4j.

E.g. solution for https://stackoverflow.com/questions/26166281/how-to-filter-a-specific-exception-from-log4j may work

Related issues:

Related to EDIT - feature request #9204: Update cdmlib and taxeditor dependen...
Related to EDIT - task #10072: Upgrade fully to log4j2

Copied from EDIT - task #9359: Update cdmlib, taxeditor, cdmserver etc. depen...

Closed
Closed
Closed

History

#1 - 08/24/2020 12:16 PM - Andreas Miiller
- Related to feature request #9204: Update cdmlib and taxeditor dependencies added

#2 - 12/04/2020 09:03 AM - Katja Luther

- Target version changed from Release 5.18 to Release 5.19

#3 - 12/18/2020 11:19 PM - Andreas Miiller
- Copied from task #9359: Update cdmlib, taxeditor, cdmserver etc. dependencies added

#4 - 01/27/2021 04:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#5 - 03/10/2021 02:48 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#6 - 04/19/2021 05:05 PM - Katja Luther

- Target version changed from Release 5.22 to Release 5.48

#7 - 07/21/2022 05:48 PM - Andreas Miiller

- Status changed from New to Resolved

- Priority changed from New to Priority14

- Target version changed from Release 5.48 to Release 5.32

- % Done changed from 0 to 70

This should be fixed with adapting TaxEditor to log4j2 and adapting the according log4j.properties
Please review.

#8 - 07/21/2022 05:52 PM - Andreas Miiller
- Related to task #10072: Upgrade fully to log4j2 added

#9 - 08/24/2022 03:16 PM - Andreas Miuller
https://stackoverflow.com/questions/26166281/how-to-filter-a-specific-exception-from-log4j

- Status changed from Resolved to Closed
- Assignee changed from Katja Luther to Andreas Mdiller

- % Done changed from 70 to 100
